/**
 * 模拟app常规行为的模块
 */
define(function(require) {

    var $ = require("jquery");
    var store = require("$UI/bestbaby-gravida/common/js/store/dist/store.modern.min");
    var pop = require("$UI/bestbaby-gravida/common/js/popUp");
    var setUser,    // 存储用户信息到本地
        getUser,    // 获取本地用户信息
        setToken,   // 存储用户token到本地
        getToken,   // 获取本地用户token
        setPhone,
        getPhone,
        checkLength,
        checkName,
        checkMobile,    // 验证手机
        checkEmail, // 验证邮箱
        checkCode,//检查验证码
        checkNumber,    // 检查字符串是否数字
        checkPositiveNumber,    // 判断字符串是否正整数
        md5,    // MD5加密
        toast,  // 默认的吐司方法
        alert;  // 默认的原生alert view
    
    var	isLogin; // 检查登录

    // 存储用户信息到本地
    setUser = function(user) {
        var user = user || {};
        return store.set('$user', JSON.stringify(user));
    };
    
    //存储用户手机号码到本地
    setPhone = function(phone){
    	var string=phone;
    	var _phone = string.toString() || '';
    	return (localStorage.setItem('$phone',_phone));
    }
    
    //获取本地用户手机号码
    getPhone = function(){
    	var phone = localStorage.getItem('$phone') || '';
    	return phone;
    }

    // 获取用户信息
    getUser = function() {
        var userText = store.get('$user') || '{}';
        return JSON.parse(userText);
    };

    // 存储用户token到本地
    setToken = function(token) {
        var token = token || {};
        return localStorage.setItem('$token', JSON.stringify(token));
    };

    // 获取本地用户token
    getToken = function() {
    	 var token = localStorage.getItem('$token') || '{}';
        return JSON.parse(token);
    };
    
    //限制输入框输入长度
    checkLength = function(inputBox,length,type){
		var inputBox = $(inputBox);
		if(inputBox.val().length>length){
			pop.pop('请输入'+length+'位数的'+type)
			var limt = inputBox.val().substring(0,length);
			inputBox.val(limt);
			return limt
		}
    };	
    // 验证手机
    checkMobile = function(mobile) {
        var mobile = mobile || '';
        var reg = /^1\d{10}$/; // 验证规则
        return reg.test(mobile);
    };
    //验证名字  --
    checkName = function(name){
    	var name = name || 'name';
    	var reg =  /^[\u4E00-\u9FA5A-Za-z]+$/;
        return reg.test(name);
    }
    // 验证邮箱
    checkEmail = function(email) {
        var email = email || '';
        var reg = /^([a-zA-Z0-9_-])+@([a-zA-Z0-9_-])+((\.[a-zA-Z0-9_-]{2,3}){1,2})$/; // 验证规则
        return reg.test(email);
    };
    //验证身份证
    checkID = function(id) {
    	var id = id ||'';
    	var reg = /(^\d{15}$)|(^\d{18}$)|(^\d{17}(\d|X|x)$)/;  
    	return reg.test(id);
    	   
    };

    // 检查字符串是否数字
    checkNumber = function(number){
        var number = number || '';
        var reg = /^[0-9]+.?[0-9]*$/;
        return reg.test(number);
    };
    //检查验证码是否六位数字
    checkCode =function(code){
    	var reg = new RegExp(/^\d{6}$/);
    	 return reg.test(code);   
            
    }
    // 判断字符串是否正整数
    checkPositiveNumber = function(number){
        var number = number || '';
        var reg = /^[1-9]+[0-9]*]*$/;
        return reg.test(number);
    };

    // MD5加密
    md5 = function(str) {
        return $.md5(str);
    };

    // 吐司方法
    toast = function(text){
        // .....
    };

    // 封装原生alert view
    alert = function(text){
        // .....
    };
    
    // 检查登录
    isLogin = function()
    {
    	//this.setToken({});
    	var loginInfo = this.getToken() || {};
    	// console.log(typeof loginInfo.token);
    	if(typeof loginInfo.token != 'undefined') {
    		return true;
    	} else {
    		return false;
    	}
    }
    
   
    return {
        setUser : setUser,
        getUser : getUser,
        setPhone: setPhone,
        getPhone: getPhone,
        setToken : setToken,
        checkName: checkName,
        getToken : getToken,
        checkLength:checkLength,
        checkEmail : checkEmail,
        checkNumber : checkNumber,
        checkMobile:checkMobile,
        checkCode:checkCode,
        checkPositiveNumber : checkPositiveNumber,
        md5 : md5,
        checkID:checkID,
        toast : toast,
        alert : alert,
        isLogin : isLogin
    }

});