define(function(require) {

	var format = require("$UI/bestbaby-gravida/common/js/calculate");
	function charts(custodyData, isTwins, sttm, moveStr) {
		if (!moveStr) {
			moveStr = 'hmme';
		}
		// 初始化数据
		// 绘图分钟点数*0.8/60算出分钟数量
		var sttm = sttm || '';
		var custodyData = custodyData;

		var minute = Math.ceil(custodyData[custodyData.length - 1].orde * 0.8 / 60);
		// X轴长度
		var xMinSize = 0;
		var xMaxSize = minute * 60 * 10;
		var yMinSize = 50;
		var yMaxSize = 210;
		var y1MinSize = 0;
		var y1MaxSize = 100;
		// 虚线数据
		var xDashed = [];
		var yDashed = [];
		var y1Dashed = [];

		// 实线数据
		var xSolid = [];
		var ySolid = [ {
			yAxis : 210
		}, {
			yAxis : 180
		}, {
			yAxis : 150
		}, {
			yAxis : 120
		}, {
			yAxis : 90
		} ];
		var y1Solid = [ {
			yAxis : 100
		}, {
			yAxis : 80
		}, {
			yAxis : 60
		}, {
			yAxis : 40
		}, {
			yAxis : 20
		}, {
			yAxis : 0
		} ];

		for (var i = 0; i < yMaxSize; i++) {
			if (i % 10 == 0) {
				if (i != 50 && i != 60) {
					yDashed.push({
						yAxis : i
					});
				}

			}
		}
		for (var i = 0; i < y1MaxSize; i++) {
			if (i % 10 == 0) {
				y1Dashed.push({
					yAxis : i
				});
			}
		}

		// 实线计算
		for (var i = 0; i < xMaxSize; i++) {
			if (i % 100 == 0) {
				xDashed.push({
					xAxis : i
				});
			}
			if (i % 600 == 0) {
				xSolid.push({
					xAxis : i
				});
			}
		}

		// 开始时间

		var translateTime = sttm.split(" ")[0];
		var second = sttm.split(" ")[1];
		var sttms = translateTime.split("-")[0] + "/" + translateTime.split("-")[1] + "/" + translateTime.split("-")[2] + " " + second;
		var startTime = Date.parse(new Date(sttms));

		// 胎心1
		var fhr1 = [];
		// 胎心2
		var fhr2 = [];
		// 宫压
		var toco = [];
		var tmp = 8;
		// 包序

		for (var i = 0; i < custodyData.length; i++) {
			// if (i != 0) {
			// tmp += 8;
			// }
			// console.log(custodyData[i].fhr1)

			// 检测包序数据是否错乱
			if (i > 0) {
				if ((custodyData[i].orde - custodyData[i - 1].orde) > 1) {
					// 包序错误

					var count = custodyData[i].orde - custodyData[i - 1].orde;
					for (var j = 0; j < count; j++) {
						// 胎心率1

						fhr1.push([ custodyData[i].orde + tmp, '-' ]);

						if (isTwins == "2") {
							// 胎心率2
							fhr2.push([ custodyData[i].orde + tmp, '-' ]);
						}
						// 宫压
						toco.push([ custodyData[i].orde + tmp, '-' ]);

						tmp += 8;
					}

				} else {
					// 胎心率1
					if (Math.abs(custodyData[i].fhr1 - custodyData[i - 1].fhr1) >= 30) {
						fhr1.push([ 8 * custodyData[i].orde, '-' ]);

					} else {
						fhr1.push([ 8 * custodyData[i].orde, custodyData[i].fhr1 != 0 ? custodyData[i].fhr1 - 0 : '-' ]);
					}

					if (isTwins == "2") {
						// 胎心率2
						if (Math.abs(custodyData[i].fhr2 - custodyData[i - 1].fhr2) >= 30) {
							fhr2.push([ 8 * custodyData[i].orde, '-' ]);
						} else {
							fhr2.push([ 8 * custodyData[i].orde, custodyData[i].fhr2 != 0 ? custodyData[i].fhr2 - 20 : '-' ]);
						}
					}

					// 宫压没有要求改波动30
					// if(Math.abs(custodyData[i].toco - custodyData[i -
					// 1].toco) >= 30){
					// toco.push([ tmp, "-"]);
					// }else{
					toco.push([ 8 * custodyData[i].orde, custodyData[i].toco - 0 ]);
					// }

				}
			} else {
				fhr1.push([ 8 * custodyData[i].orde, custodyData[i].fhr1 != 0 ? custodyData[i].fhr1 - 0 : '-' ]);
				if (isTwins == "2") {
					fhr2.push([ 8 * custodyData[i].orde, custodyData[i].fhr2 != 0 ? custodyData[i].fhr2 - 20 : '-' ]);

				}
				toco.push([ 8 * custodyData[i].orde, custodyData[i].toco - 0 ]);
			}

		}

		// 初始化图形
		var legend = [ '胎心率1', '宫压' ];

		var series = [ {
			name : "胎心率1",
			type : 'line',
			xAxisIndex : 0,// 对应前面x的索引位置
			yAxisIndex : 0,// 对应前面y的索引位置
			smooth : true,
			data : fhr1,
			min : 0,
			zlevel : 1,
			markPoint : {// 胎动标记
				name : '胎动标记',
				data : [],
				symbol : 'rect',
				symbolOffset : [ 0, '-50%' ],
				symbolSize : [ '2', '15' ],
				itemStyle : {
					normal : {
						color : '#f888a4'
					}
				}
			},
		}, {
			name : "宫压",
			type : 'line',
			xAxisIndex : 1,// 对应前面x的索引位置
			yAxisIndex : 1,// 对应前面y的索引位置
			smooth : true,
			zlevel : 1,
			data : toco,
			min : 0,

		}, {
			name : "胎心x虚线",
			type : 'line',
			xAxisIndex : 0,// 对应前面x的索引位置
			yAxisIndex : 0,// 对应前面y的索引位置
			markLine : {
				silent : true,
				symbolSize : 0,// 圆点0
				label : {
					normal : {
						show : false,
						position : 'start'
					}
				},
				lineStyle : {
					normal : {
						type : 'dashed',
						color : "#dddddd",
					}
				},
				data : xDashed
			}
		}, {
			name : "胎心x实线",
			type : 'line',
			xAxisIndex : 0,// 对应前面x的索引位置
			yAxisIndex : 0,// 对应前面y的索引位置
			markLine : {
				silent : true,
				symbolSize : 0,// 圆点0
				label : {
					normal : {
						show : false,
						position : 'start'
					}
				},
				lineStyle : {
					normal : {
						type : 'solid',
						color : "#aaaaaa",
						width : 2
					}
				},
				data : xSolid
			}
		}, {
			name : "宫压x虚线",
			type : 'line',
			xAxisIndex : 1,// 对应前面x的索引位置
			yAxisIndex : 1,// 对应前面y的索引位置
			markLine : {
				silent : true,
				symbolSize : 0,// 圆点0
				label : {
					normal : {
						show : false,
						position : 'start'
					}
				},
				lineStyle : {
					normal : {
						type : 'dashed',
						color : "#dddddd",
					}
				},
				data : xDashed
			}
		}, {
			name : "宫压x实线",
			type : 'line',
			xAxisIndex : 1,// 对应前面x的索引位置
			yAxisIndex : 1,// 对应前面y的索引位置
			markLine : {
				silent : true,
				symbolSize : 0,// 圆点0
				label : {
					normal : {
						show : true,
						position : 'start',
						formatter : function(obj) {
							if (obj.dataIndex == 0) {
								var objDate = new Date(obj.value / 10 * 1000 + startTime) + "";
								return format.formater(objDate.split("GMT")[0]);

							}
							if (obj.dataIndex % 2 == 0) {
								// if (obj.dataIndex % 2 == 0) {
								// // 偶数
								// var objDate = new Date(obj.value / 10 * 1000
								// + startTime) + "";
								// return
								// format.formater(objDate.split("GMT")[0]);
								// } else {
								// 奇数
								return obj.value / 10 / 60 + "分";
								// }
							}
							return "";
						}
					}
				},
				lineStyle : {
					normal : {
						type : 'solid',
						color : "#aaaaaa",
						width : 2
					}
				},
				data : xSolid
			}
		}, {
			name : "胎心y虚线",
			type : 'line',
			xAxisIndex : 0,// 对应前面x的索引位置
			yAxisIndex : 0,// 对应前面y的索引位置
			markLine : {
				silent : true,
				symbolSize : 0,// 圆点0
				label : {
					normal : {
						show : false,
						position : 'start'
					}
				},
				lineStyle : {
					normal : {
						type : 'dashed',
						color : "#dddddd",
					}
				},
				data : yDashed
			}
		}, {
			name : "60虚线",
			type : 'line',
			xAxisIndex : 0,// 对应前面x的索引位置
			yAxisIndex : 0,// 对应前面y的索引位置
			markLine : {
				silent : true,
				symbolSize : 0,// 圆点0
				label : {
					normal : {
						show : false,
						position : 'start',
						color : "#aaaaaa",
					}
				},
				lineStyle : {

					normal : {
						show : true,
						type : 'dashed',
						color : "#dddddd",
					}
				},
				data : [ {
					yAxis : 60
				} ]
			}
		}, {
			name : "胎心y实线",
			type : 'line',
			xAxisIndex : 0,// 对应前面x的索引位置
			yAxisIndex : 0,// 对应前面y的索引位置
			markLine : {
				silent : true,
				symbolSize : 0,// 圆点0
				label : {
					normal : {
						show : false,
						position : 'start'
					}
				},
				lineStyle : {
					normal : {
						type : 'solid',
						color : "#aaaaaa",
						width : 2
					}
				},
				data : ySolid
			}
		}, {
			name : "宫压y虚线",
			type : 'line',
			xAxisIndex : 1,// 对应前面x的索引位置
			yAxisIndex : 1,// 对应前面y的索引位置
			markLine : {
				silent : true,
				symbolSize : 0,// 圆点0
				label : {
					normal : {
						show : false,
						position : 'start'
					}
				},
				lineStyle : {
					normal : {
						type : 'dashed',
						color : "#dddddd",
					}
				},
				data : y1Dashed
			}
		}, {
			name : "宫压y实线",
			type : 'line',
			xAxisIndex : 1,// 对应前面x的索引位置
			yAxisIndex : 1,// 对应前面y的索引位置
			markLine : {
				silent : true,
				symbolSize : 0,// 圆点0
				label : {
					normal : {
						show : false,
						position : 'start'
					}
				},
				lineStyle : {
					normal : {
						type : 'solid',
						color : "#aaaaaa",
						width : 2
					}
				},
				data : y1Solid
			}
		}, {
			name : "胎心区域",
			type : 'line',
			xAxisIndex : 0,// 对应前面x的索引位置
			yAxisIndex : 0,// 对应前面y的索引位置
			markArea : {
				silent : true,
				itemStyle : {
					normal : {
						color : "#fef2f4"
					}
				},
				data : [ [ {
					yAxis : 110
				}, {
					yAxis : 160
				} ] ]
			}
		} ];

		var color = [ '#00a0e9', '#c490bf', '#ffffff', '#ffffff', '#ffffff', '#ffffff', '#ffffff', '#ffffff', '#ffffff', '#ffffff', '#ffffff', '#ffffff' ];
		var markPoint = {};
		// 判断是否双胞胎
		if (isTwins == 2) {
			legend.push('胎心率2');
			series.push({
				name : "胎心率2",
				type : 'line',
				xAxisIndex : 0,// 对应前面x的索引位置
				yAxisIndex : 0,// 对应前面y的索引位置
				smooth : true,
				zlevel : 1,
				data : fhr2,
				min : 0
			});
			color.push('#f8b551')
		}
		for (var i = 0; i < custodyData.length; i++) {
			if (i != 0) {
				tmp += 8;
			}
			// 检测包序数据是否错乱
			if (i > 0) {
				if ((custodyData[i].orde - custodyData[i - 1].orde) > 1) {
					// 包序错误

				} else {
					// 胎心率
					if (moveStr == 'hmme') {  //判断是否支持自动胎动
						if ((custodyData[i].hmme - 0) > 0) {
							markPoint = {
								name : custodyData[i].orde,
								coord : [ parseInt(custodyData[i].orde * 8), 50 ],
								label : {
									normal : {
										show : false
									}
								}
							};
							series[0].markPoint.data.push(markPoint);
						}

					} else if(moveStr == 'move'){

						if ((custodyData[i].move - 0) > 0) {
							markPoint = {
								name : custodyData[i].orde,
								coord : [ parseInt(custodyData[i].orde * 8), 50 ],
								label : {
									normal : {
										show : false
									}
								}
							};
							series[0].markPoint.data.push(markPoint);
						}
					}

				}
			}

		}
		// 引入echarts
		// var echarts = require('echarts');
		function intervalLine(index, value) {
			if (index == 50) {
				return false
			}
			if ((index - 60) % 30 == 0) {
				return true
			}
			return false

		}
		function intervalGLine(index, value) {

			if (index % 20 == 0) {
				return true
			}
			return false

		}
		var option = {

			title : {
				text : '胎监图',
				show : false,
			},
			tooltip : {
				trigger : 'axis',
				axisPointer : { // 坐标轴指示器，坐标轴触发有效
					animation : false
				},
				// 自定义格式
				formatter : function(params, ticket, callback) {
					if (params.length <= 1) {
						return params[0].seriesName + " (" + params[0].value[1] + ") ";
					} else {
						return params[0].seriesName + " (" + params[0].value[1] + ') <br />' + params[1].seriesName + " (" + params[1].value[1] + ")";
					}
				}
			},
			animation : false,
			// toolbox: {
			// left:260,
			// top:0,
			// feature: {
			// myTool1: {
			// show: true,
			// title: '全屏',
			// icon: 'image://common/images/icon-fullscreen.png',
			// onclick: function (){
			// $('.echartsOrientatal').fadeIn();
			// }
			// },
			//			            
			// }
			// },
			legend : {
				data : legend,
				left : "30",
			},
			// 多个图，就有多个grid,排序默认0、1、2....

			grid : [
			// 0
			{
				x : '8%',
				y : '7%',
				left : 60,
				right : 20,
				height : '46%',
				backgroundColor : "#ffffff",
				show : true
			},
			// 1
			{
				x : '8%',
				y2 : '9%',
				left : 60,
				right : 20,
				height : '38%',
				backgroundColor : "#ffffff",
				show : true
			} ],
			// 多个图，就要定义多个x轴，虽然我这个表的x轴是一样的
			xAxis : [ {
				min : xMinSize,
				max : xMaxSize,
				show : false,// 隐藏了x轴
				type : 'category',// 坐标轴类型。
				gridIndex : 0,// 对应前面grid的索引位置
				axisTick : {
					show : true,
					alignWithLabel : true
				},
				data : {}
			}, {
				min : xMinSize,
				max : xMaxSize,
				show : false,// 隐藏了x轴
				type : 'category',// 坐标轴类型。
				gridIndex : 1,// 对应前面grid的索引位置
				axisTick : {
					show : true,
					alignWithLabel : true
				},
				data : {}
			}, ],
			// y轴，不管有几个x轴，几个y轴，或者图，只要找到他对应的grid图的序号索引就可以精准匹配
			yAxis : [ {
				min : yMinSize,
				max : yMaxSize,
				type : 'value',
				gridIndex : 0,// 对应前面grid的索引位置
				axisTick : {
					show : false,
					alignWithLabel : true,
					interval : intervalLine,
				},
				z : 1,
				axisLabel : {
					show : false,
					formatter : function(value, index) {
						if (value == 50) {
							return ""
						}
						return value;
					}
				},
				data : {}
			}, {
				min : y1MinSize,
				max : y1MaxSize,
				type : 'value',
				gridIndex : 1,// 对应前面grid的索引位置
				z : 1,
				axisTick : {
					show : false,
					alignWithLabel : true,
					interval : intervalGLine
				},
				axisLabel : {
					show : false,
					formatter : function(value, index) {
						return value;
					}
				},
				data : {}
			}, ],
			// 数据就要选择是哪个x,y轴与之对应
			series : series,
			color : color,

		};
		return option;
	}

	return {
		charts : charts
	};
});