define(function(require) {
	var r = require("../request");
	var app = require("../app");

	var justep = require("$UI/system/lib/justep");
	var IM = require("$UI/bestbaby-gravida/common/js/modules/NIM/NIM");
	var pop = require('../popUp');

	var autoLogin; // 自动登录

	var login, // 用户登录
	updateUser, // 获取用户信息
	mailCode, // 发送邮箱验证码
	register, // 用户注册
	msgCode, // 获取验证码
	verifyCode, // 检查验证码
	pModified, // 手机找回密码
	mModified, // 邮箱找回密码
	helpCenter,// 帮助中心
	wechat;//微信登录
	var bindJpushId; // 保存极光推送Id

	/**
	 * 用户登录
	 */
	login = function(data, callback) {
		data = data || {};
		data.mobl = data.mobl || ''; // 手机号码
		data.pswd = data.pswd || ''; // 密码
		data.lomg = data.lomg || ''; // 经度
		data.lat = data.lat || ''; // 纬度
		data.imei = data.imei || ''; // -手机终端的IMEI
		data.whpx = data.whpx || ''; // -屏幕宽
		data.htpx = data.htpx || ''; // -屏幕高
		data.nver = data.nver || ''; // -应用内部版本号
		data.apnm = data.apnm || ''; // -应用名称
		data.whpx = data.whpx || ''; // -屏幕宽
		data.whpx = data.whpx || ''; // -屏幕宽
        console.log(data.mobl)
		if (!data.mobl.length) {
			return callback(false, '请输入手机号码');
		}
		if (!app.checkMobile(data.mobl)) {
			return callback(false, '请填写正确的手机号码');
		}
		if (!data.pswd.length) {
			return callback(false, '请输入密码');
		}

		r.ajax({
			url : 'login',
			method : 'POST',
			data : data,
			token : false,
			onSuccess : function(data) {
				 storageToken(data.content);
				 
				callback(true, '登录成功', data);
				B1Manager.writeLog("0", 'Success:login', "登陆成功");
				// 保存token
				
			},
			onFail : function(data) {
				callback(false, data.msg || "登录失败", data);
				B1Manager.writeLog("0", 'Fail:login', "登陆失败");
				B1Manager.writeLog("0", data, "接口返回错误信息");
			},
			onError : function(data) {
//                console.log(data)
				callback(false, r.requestErrorMsg);
				B1Manager.writeLog("0", 'Error:login', "登陆失败");
				B1Manager.writeLog("0", data, "接口返回错误信息");
			}
		});
	}
	wechat = function(data, callback) {

		r.ajax({
			url : 'system/Wxlogin/Wxlogin',
			method : 'POST',
			data : data,
			token : false,
			onSuccess : function(data) {
				 storageToken(data.content);
				callback(true, '登录成功', data);
				// 保存token

			},
			onFail : function(data) {
				B1Manager.writeLog("0", 'Fail:system/Wxlogin/Wxlogin', "链接");
				B1Manager.writeLog("0", data, "接口返回错误信息");
				callback(false, data.msg || "登录失败", data);
			},
			onError : function(data) {
				B1Manager.writeLog("0", 'Error:system/Wxlogin/Wxlogin', "链接");
				B1Manager.writeLog("0", data, "接口返回错误信息");
				callback(false, r.requestErrorMsg);
			}
		});
	}
	/**
	 * 更新用户信息
	 */
	var updateUser = function(data, callback) {
		data = data || {};
		r.ajax({
			url : 'system/Gravida/select',
			method : 'POST',
			data : data,
			onSuccess : function(data) {
				storageUser(data.content); // 更新本地用户信息
				callback(true, '获取用户信息成功', data);

			},
			onFail : function(data) {
				B1Manager.writeLog("0", 'Fail:system/Gravida/select', "更新本地用户信息失败");
				B1Manager.writeLog("0", data, "接口返回错误信息");
				callback(false, data.msg || "登录失败", data);
				// console.log(data)
			},
			onError : function(data) {
				B1Manager.writeLog("0", 'Error:system/Gravida/select', "更新本地用户信息失败");
				B1Manager.writeLog("0", data, "接口返回错误信息");
				callback(false, r.requestErrorMsg);
				// console.log(data)
			}
		});
	}

	/**
	 * 注册
	 */
	var register = function(data, callback) {
		data = data || {};
		data.mobl = data.mobl || ''; // 联系号码
//		data.code = data.code || ''; // 短信验证码
		data.name = data.name || ''; // 真实姓名
		data.pswd = data.pswd || ''; // 登录密码
		data.ages = data.ages || ''; // 年龄
		data.lmp = data.lmp || ''; // 末次月经
		data.dede = data.dede || ''; // 预产期
		data.eyct = data.eyct || ''; // 紧急联系人
		data.eyml = data.eyml || ''; // 紧急联系电话
		data.pmhy = data.pmhy || ''; // 既往病史
		data.pmot = data.pmot || ''; // 既往病史
		data.cdno = data.cdno || ''; // -身份证号码
		data.mail = data.mail || ''; // -联系邮箱
		data.bith = data.bith || ''; // -出生日期
		data.htcm = data.htcm || ''; // -身高
		data.wtkg = data.wtkg || ''; // -体重
		data.logo = data.logo || ''; // -头像
		data.cdhd = data.cdhd || ''; // -身份证正面照片
		data.cdtl = data.cdtl || ''; // -身份证反面照片

		// 异常判断
		if (!data.mobl.length) {
			return callback(false, '请输入手机号码');
		}
		if (!app.checkMobile(data.mobl)) {
			return callback(false, '请填写正确的手机号码');
		}
//		if (!data.code.length) {
//			return callback(false, '请输入手机验证码');
//		}
		if (!data.pswd.length) {
			return callback(false, '请输入密码');
		}
		if (!data.name.length) {
			return callback(false, '请输入您的真实姓名');
		}
		if (!data.ages.length) {
			return callback(false, '请选择您的年龄');
		}
		if (!data.lmp.length) {
			return callback(false, '请选择您的末次月经时间');
		}
//		if (!data.dede.length) {
//			return callback(false, '请选择您的预产期');
//		}
//		if (!data.eyct.length) {
//			return callback(false, '请输入紧急联系人姓名');
//		}
//		if (!data.eyml.length) {
//			return callback(false, '请输入紧急联系人电话');
//		}
		// if(!app.checkEmail(data.mail)){return callback(false,'请输入正确邮箱地址');}

		r.ajax({
			url : 'register',
			method : 'POST',
			data : data,
			token : false,
			onSuccess : function(data) {
				callback(true, '注册账户成功', data);
			},
			onFail : function(data) {
				callback(false, data.msg, data);
				B1Manager.writeLog("0", 'Fail:register', "注册失败");
				B1Manager.writeLog("0", data, "接口返回数据");
			},
			onError : function(data) {
				callback(false, r.requestErrorMsg);
				B1Manager.writeLog("0", 'Error:register', "注册失败");
				B1Manager.writeLog("0", data, "接口返回数据");
			}
		});
	}

	/**
	 * 获取短信验证码
	 */
	var msgCode = function(data, callback) {
		data = data || {}

		data.mobl = data.mobl || '';
		data.type = data.type || '';

		if (!data.mobl.length) {
			return callback(false, '请输入手机号码');
		}
		if (!app.checkMobile(data.mobl)) {
			return callback(false, '请填写正确的手机号码');
		}

		r.ajax({
			url : 'sendMsgCode',
			method : 'POST',
			data : data,
			token : false,
			key : 'key',
			onSuccess : function(data) {
				callback(true, '已发送验证码', data);
			},
			onFail : function(data) {
				callback(false, data.msg, data);
				B1Manager.writeLog("0", 'Fail：sendMsgCode', "链接");
				B1Manager.writeLog("0", data, "接口返回错误信息");
			},
			onError : function(data) {
				callback(false, r.requestErrorMsg);
				B1Manager.writeLog("0", 'Error：sendMsgCode', "链接");
				B1Manager.writeLog("0", data, "接口返回错误信息");
			}
		});
	}
	/**
	 * 获取短信验证码 带加密请求 zzq
	 */
	var EnmsgCode = function(data, callback) {
		data = data || {}

		data.mobl = data.mobl || '';
		data.type = data.type || '';

		if (!data.mobl.length) {
			return callback(false, '请输入手机号码');
		}
		if (!app.checkMobile(data.mobl)) {
			return callback(false, '请填写正确的手机号码');
		}

		r.ajax({
			url : 'sendMsgCode',
			method : 'POST',
			data : data,
			token : true,
			key : 'key',
			onSuccess : function(data) {
				callback(true, '已发送验证码', data);
			},
			onFail : function(data) {
				callback(false, data.msg, data);
				B1Manager.writeLog("0", 'Fail:sendMsgCode', "链接");
				B1Manager.writeLog("0", data, "接口返回数据");
			},
			onError : function(data) {
				callback(false, r.requestErrorMsg);
				B1Manager.writeLog("0", 'Error：sendMsgCode', "链接");
				B1Manager.writeLog("0", data, "接口返回数据");
			}
		});
	}
	var mailCode = function(data, callback) {
		data = data || {}

		data.mail = data.mail || '';

		if (!data.mail.length) {
			return callback(false, '请输入邮箱地址');
		}
		if (!app.checkEmail(data.mail)) {
			return callback(false, '请填写正确的邮箱地址');
		}

		r.ajax({
			url : 'sendMailCode',
			method : 'POST',
			data : data,
			token : false,
			onSuccess : function(data) {
				callback(true, '已发送验证码', data);
			},
			onFail : function(data) {
				callback(false, data.msg, data);
				B1Manager.writeLog("0", 'Fail:sendMailCode', "链接");
				B1Manager.writeLog("0", data, "接口返回数据");
			},
			onError : function(data) {
				callback(false, r.requestErrorMsg);
				B1Manager.writeLog("0", 'Error:sendMailCode', "链接");
				B1Manager.writeLog("0", data, "接口返回数据");
			}
		});
	}

	/**
	 * 保存用户信息到本地
	 */
	var storageUser = function(user) {
		var data = {};
		data.id = user.id || '';
		data.name = user.name || ''; // 真实姓名
		data.pswd = user.pswd || ''; // 登录密码
		data.sex = user.sex || ''; // 性别 0-女、1-男
		data.logo = user.logo || ''; // 头像
		data.bith = user.bith || ''; // 出生日期
		data.ages = user.ages || ''; // 年龄
		data.mobl = user.mobl || ''; // 联系号码
		data.cdno = user.cdno || ''; // 身份证号码
		data.mail = user.mail || ''; // 联系邮箱
		data.cdhd = user.cdhd || ''; // 身份证正面照片
		data.cdtl = user.cdtl || ''; // 身份证反面照片
		data.lmp = user.lmp || ''; // 末次月经
		data.dede = user.dede || ''; // 预产期
		data.htcm = user.htcm || ''; // 身高
		data.wtkg = user.wtkg || ''; // 体重
		data.hlid = user.hlid || ''; // 医院ID绑定医院
		data.hlfn = user.hlfn || ''; // 医院名称简称
		data.tokn = user.tokn || ''; // 网易云IMTOKEN
		data.rttm = user.rttm || ''; // 孕妇注册时间
		data.eyct = user.eyct || ''; // 紧急联系人
		data.eyml = user.eyml || ''; // 紧急联系电话
		data.pmhy = user.pmhy || ''; // 既往病史
		data.pmot = data.pmot || ''; // 既往病史
		data.dast = user.dast || ''; // 数据状态：1-未删除、2-已删除、3-不能删除
		data.crtm = user.crtm || ''; // 创建时间
		data.mdtm = user.mdtm || ''; // 修改时间
        data.pprid = user.pprid|| '';//用户订套餐之后的产品id
//        data.exp=user.exp|| '';
		return app.setUser(data);
	};

	/**
	 * 保存用户token到本地
	 */
	var storageToken = function(data) {
		var data1 = {};
		data1.token = data.token || '';
		data1.exp = data.exp || '';
		return app.setToken(data1);
	}
	
	/**
	 * 检查验证码
	 */
	function checkCode(data, callback) {
		data = data || {};
//		console.log(data);
		data.mobl = data.mobl || '';
		data.code = data.code || '';
		data.msg = data.msg || '';
		if (!data.mobl.length) {
			return callback(false, '请输入手机号码');
		}
		if (!app.checkCode(data.code)) {
			return callback(false, '请输入验证码');
		}

		r.ajax({
			url : 'checkCode',
			method : 'POST',
			data : data,
			token : false,
			onSuccess : function(data) {
				callback(true, '注册成功，下一步', data);
			},
			onFail : function(data) {
				callback(false, data.msg, data);
			},
			onError : function(data) {
//				console.log(r.requestErrorMsg);
				callback(false, r.requestErrorMsg);
			}
		});

	}
	/**
	 * 修改孕妇信息
	 */

	function modifiedInfo(data, callback) {
		data = data || {};
		data.mobl = data.mobl || ''; // 联系号码
		data.code = data.code || ''; // 短信验证码
		data.name = data.name || ''; // 真实姓名
		data.pswd = data.pswd || ''; // 登录密码
		data.ages = data.ages || ''; // 年龄
		data.lmp = data.lmp || ''; // 末次月经
		data.dede = data.dede || ''; // 预产期
		data.eyct = data.eyct || ''; // 紧急联系人
		data.eyml = data.eyml || ''; // 紧急联系电话
		data.pmhy = data.pmhy || ''; // 既往病史
		data.pmot = data.pmot || ''; // 既往病史
		data.cdno = data.cdno || ''; // -身份证号码
		data.mail = data.mail || ''; // -联系邮箱
		data.bith = data.bith || ''; // -出生日期
		data.htcm = data.htcm || ''; // -身高
		data.wtkg = data.wtkg || ''; // -体重
		data.logo = data.logo || ''; // -头像
		data.cdhd = data.cdhd || ''; // -身份证正面照片
		data.cdtl = data.cdtl || ''; // -身份证反面照片

		// 异常判断

		if (!app.checkID(data.cdno)) {
			return callback(false, '请填入正确身份证号码');
//			console.log(data.cdno)
		}

		r.ajax({
			url : 'system/Gravida/update',
			method : 'POST',
			data : data,
			token : false,
			onSuccess : function(data) {
				callback(true, '注册成功，下一步', data);
			},
			onFail : function(data) {
				callback(false, data);
				B1Manager.writeLog("0", 'Fail:system/Gravida/update', "链接");
				B1Manager.writeLog("0", data, "接口返回错误信息");
			},
			onError : function(data) {
				callback(false, r.requestErrorMsg);
				B1Manager.writeLog("0", 'Error:system/Gravida/update', "链接");
				B1Manager.writeLog("0", data, "接口返回错误信息");
			}
		});

	}
	/**
	 * 手机找回密码
	 */
	pModified = function(data, callback) {
		data = data || {};
		data.mobl = data.mobl || ''; // 手机号码
		data.pswd = data.pswd || ''; // 密码
		data.code = data.code || '';// 密码重置

		if (!data.mobl.length) {
			return callback(false, '请输入手机号码');
		}
		if (!app.checkMobile(data.mobl)) {
			return callback(false, '请填写正确的手机号码');
		}
		if (!data.pswd.length) {
			return callback(false, '请输入密码');
		}

		r.ajax({
			url : 'moblResetPswd',
			method : 'POST',
			data : data,
			token : false,
			onSuccess : function(data) {
				callback(true, '重置成功', data);
			},
			onFail : function(data) {
				callback(false, data.msg);
				B1Manager.writeLog("0", 'Fail:moblResetPswd', "链接");
				B1Manager.writeLog("0", data, "接口返回数据");
			},
			onError : function(data) {
				callback(false, r.requestErrorMsg);
				B1Manager.writeLog("0", 'Error:moblResetPswd', "链接");
				B1Manager.writeLog("0", data, "接口返回数据");
			}
		});
	}
	/**
	 * 邮箱找回密码
	 */
	mModified = function(data,callback){
		if (!data.pswd.length) {
			return callback(false, '请输入密码');
		}
		if (!app.checkCode(data.code)) {
			return callback(false, '请输入验证码');
		}
		r.ajax({
			url : 'mailResetPswd',
			method : 'POST',
			data : data,
			token : false,
			onSuccess : function(data) {
				callback(true, '重置成功', data);
			},
			onFail : function(data) {
				callback(false, data.msg);
				B1Manager.writeLog("0", 'Fail:mailResetPswd', "链接");
				B1Manager.writeLog("0", data, "接口返回数据");
			},
			onError : function(data) {
				callback(false, r.requestErrorMsg);
				B1Manager.writeLog("0", 'Error:mailResetPswd', "链接");
				B1Manager.writeLog("0", data, "接口返回数据");
			}
		});
		
	}

	/**
	 * 获取服务器孕妇信息
	 * 
	 * @author Eagle <eagle@jingkaigz.com>
	 * @return void
	 */
	getUserInfo = function(callback) {
		r.ajax({
			url : "system/Gravida/select",
			method : "POST",
			data : {},
			token : true,
			onSuccess : function(res) {
				callback(true, res.content)
			},
			onFail : function(res) {
				B1Manager.writeLog("0", 'Fail:system/Gravida/select', "链接");
				B1Manager.writeLog("0", data, "接口返回数据");
				callback(false, res.content);
			}
		})
	}
	
	/**
	 * 绑定极光推送Id到当前登录用户
	 * @param string jpushId 极光推送ID
	 * @author Eagle <eagle@jingkaigz.com>
	 */
	bindJpushId = function(id, callback) {
		/*if(id.length == 0) {
			callback(false, "缺少极光推送ID", "");
		}*/

		var data = {vale: id};
		
		r.ajax({
			url : "jiguanginsert",
			method : "POST",
			data : data,
			token : true,
			onSuccess : function(res) {
				callback(true, "绑定成功");
			},
			onFail : function(res) {
				callback(false, res.msg);
				B1Manager.writeLog("0", 'Fail:jiguanginsert', "链接");
				B1Manager.writeLog("0", data, "接口返回数据");
			},
			onError : function(res) {
				callback(false, res.msg);
				B1Manager.writeLog("0", 'Error:jiguanginsert', "链接");
				B1Manager.writeLog("0", data, "接口返回数据");
			},
		});
	}

	/**
	 * 自动登录
	 * 
	 * 会进行token的验证（包括有效期）、云信的登录验证 token存在但是过期时，根据条件调用刷新token接口
	 * 
	 * @return void
	 * @author Eagle <eagle@jingkaigz.com>
	 */
	// autoLogin = function() {
	//
	// //this.setToken({});
	// var tokenObj = app.getToken();
	//		
	// // 检查token是否存在
	// if(typeof tokenObj.token != 'undefined' && tokenObj.token.length > 0) {
	// console.log("token 存在 localstorage 中");
	//			
	// // 验证token有效期，根据条件刷新本地token TODO
	//
	// // 登录云信
	// // 1.验证NIM，登录网易云信账号，需要云信TOKEN和注册云信时候提供的ACCID，通过用户信息接口获得。
	// this.getUserInfo(function(bool, userInfo) {
	// //console.log(userInfo);
	// if(bool) {
	// console.log("获取用户信息成功");
	//				
	// // 本地存储孕妇信息
	// storageUser(userInfo);
	//					
	// // test token = ee0269f3eb33c1be7d3f9b5f348f15ed; account = jktest_eagle
	// //userInfo.id = "jktest_eagle";
	// //userInfo.tokn = "ee0269f3eb33c1be7d3f9b5f348f15ed";
	//					
	//
	//					
	// var NIM_CONFIG = {
	// account: userInfo.id,
	// token: userInfo.tokn,
	// ondisconnect: function(error) {
	// //alert('onDisconnect');
	// console.log("aaaaaaa"+error);
	// console.log(error);
	// // 此时说明 SDK 处于断开状态, 开发者此时应该根据错误码提示相应的错误信息, 并且跳转到登录页面
	// console.log('连接断开', error);
	// if (error) {
	// switch (error.code) {
	// // 账号或者密码错误, 请跳转到登录页面并提示错误
	// case 302:
	// pop.pop('登录失败，请稍后再试');
	// justep.Shell.showPage('sign');
	// break;
	// // 重复登录, 已经在其它端登录了, 请跳转到登录页面并提示错误
	// case 417:
	// pop.pop('您的账号在其他端登录');
	// justep.Shell.showPage('sign');
	// break;
	// // 被踢, 请提示错误后跳转到登录页面
	// case 'kicked':
	// pop.pop('您的账号在其他端登录，你已经下线');
	// justep.Shell.showPage('sign');
	// break;
	// default:
	// break;
	// }
	// }
	// },
	// onconnect: function() {
	// //alert('onConnect');
	// justep.Shell.showPage('index');
	// console.log("connected....");
	// },
	// onerror: function(error, obj) {
	// //alert('onError');
	// console.log('发生错误', error, obj);
	// },
	// onwillreconnect: function(obj) {
	// //alert('onWillReconnect');
	// console.log("NIM will reconnect.............");
	// }
	//						
	// };
	//					
	// console.log("aaaaaaaaaaaabbbbbbbbbbbbb")
	// //console.log(IM);
	//					
	//					
	// IM_Instance = IM.getInstance(NIM_CONFIG);
	// //console.log(IM_Instance);
	//					
	// //return false;
	//					
	//
	// // 进入首页
	// //justep.Shell.showPage("index");
	// } else {
	// pop.pop('获取用户信息失败，请稍后再试');
	// justep.Shell.showPage("sign");
	// }
	// });
	// } else {
	// console.log("token 不存在 localstorage 中");
	// justep.Shell.showPage("sign");
	// }
	// }
	return {
		login : login,
		getMsgCode : msgCode,
		getMsgTokenCode : EnmsgCode,
		updateUser : updateUser,
		register : register,
		verifyCode : checkCode,
		modifiedInfo : modifiedInfo,
		pModified : pModified,
		mModified : mModified,
		helpCenter : helpCenter,
		mailCode : mailCode,
		getUserInfo : getUserInfo,
		autoLogin : autoLogin,
		storageUser : storageUser,
		storageToken : storageToken,
		bindJpushId: bindJpushId,
		wechat:wechat
	};

});