define(function(require) {
	var $ = require("jquery");
	var justep = require("$UI/system/lib/justep");
	var dairy = require("$UI/bestbaby-gravida/common/js/getItems");
	var pop = require("$UI/bestbaby-gravida/common/js/popUp");
	var app = require("$UI/bestbaby-gravida/common/js/app");
	var Model = function() {
		this.callParent();
	};

	Model.prototype.selectBtn = function(event) {
		var self = this;
		this.comp("popPicker2").show();
		var prov = $('.provSpan').attr('data-id') - 1;
		var city = $('.citySpan').attr('data-id');
		var area = $('.areaSpan').attr('data-id');

		this.comp("picker4").setSelectedIndex(prov);

		// city
		var data = this.comp('city');
		var cityIds = [];
		data.each(function(param) {
			cityIds.push(param.row.val('id'));
		});
		for (var i = 0; i < cityIds.length; i++) {
			if (cityIds[i] === city) {
				this.comp("picker1").setSelectedIndex(i);
			}
		}


		// area
		var district = this.comp('district');
		var districtIds = [];

		district.each(function(param) {
			districtIds.push(param.row.val('id'));
		});
//		console.log('default area')
		for (var i = 0; i < districtIds.length; i++) {
			if (districtIds[i] === area) {
				this.comp("picker2").setSelectedIndex(i);
			}
		}

	};

	Model.prototype.backPopClick = function(event) {
		this.comp("popPicker2").hide();
	};
	// 选择地区联动确认
	Model.prototype.confirmClick = function(event) {
		var prov = this.comp("province").val('province');
		var pid = this.comp("province").val('id');
		var city = this.comp("city").val('city');
		var cid = this.comp("city").val('id');
		var area = this.comp("district").val('district');
		var aid = this.comp("district").val('id');
		if(!city){
			return;
		}
		if(!area){
			return;
		}
		$('.provSpan').text(prov);
		$('.citySpan').text(city);
		$('.areaSpan').text(area);
		$('.provSpan').attr('data-id', pid);
		$('.citySpan').attr('data-id', cid);
		$('.areaSpan').attr('data-id', aid);
		$('.show-select-area').text(prov+'省'+city+area);
	};
	// 参数接收
	Model.prototype.modelParamsReceive = function(event) {
		var id = this.params.data;
		var addressData = this.comp("addressData");
		var url = "system/Address/select";
		var that = this;
		var dataJson = {
			"id" : id,
		}
		// console.log(dataJson);
		dairy.getTokenItems(dataJson, url, function(success, message, data) {
			if (success) {
				console.log('address data',data)
				var a = data.content;
				addressData.clear();
				$('.provSpan').attr('data-id', a.pvce);
				$('.citySpan').attr('data-id', a.city);
				$('.areaSpan').attr('data-id', a.coty);
				$('.show-select-area').text(a.apvce+'省'+a.acity+a.acoty);
				// console.log(a.isrd == 1 ? true : false)

				addressData.add({
					id : a.id,
					name : a.name,
					tel : a.mobl,
					prov : a.pvce,
					city : a.city,
					area : a.coty,
					address : a.adrs,
					provName : a.apvce,
					cityName : a.acity,
					areaName : a.acoty,
					address : a.adrs,
					is_default : a.isrd == 1 ? true : false
				});

				var url = "system/Area/list";
				var prvId = a.pvce;
				var cityId = a.city;
				var areaId = a.coty;
				var provinceData = that.comp("province");
				var cityData = that.comp("city");
				var distData = that.comp("district");
				// 加载省份
				var dataProv = {
					"pageNum" : 1,
					"pageSize" : 0,
					"filters" : {
						"id" : "",
						"deep" : "1",
						"pid" : "",
						"isht" : ""
					}
				}

				// console.log(dataJson);
				dairy.getTokenItems(dataProv, url, function(success, message, data) {
					if (success) {
						// console.log(data.content.list)
						var a = data.content.list;
						provinceData.clear();
						for (var i = 0; i < a.length; i++) {
							var b = a[i];
							provinceData.add({
								id : b.id,
								province : b.name,
							});
						}
					}
				});
				// 加载市
				// console.log(deep);
				var dataCity = {
					"pageNum" : 1,
					"pageSize" : 0,
					"filters" : {
						"id" : "",
						"deep" : "2",
						"pid" : prvId,
						"isht" : ""
					}
				}
//				console.log(dataCity);
				// console.log(dataJson);
				dairy.getTokenItems(dataCity, url, function(success, message, data) {
					if (success) {
						// console.log(data.content.list)
						var a = data.content.list;
						cityData.clear();
						for (var i = 0; i < a.length; i++) {
							var b = a[i];
							// console.log(b.name)
							cityData.add({
								id : b.id,
								city : b.name,
							});
						}
					}
				});
				// 加载区
				var dataDist = {
					"pageNum" : 1,
					"pageSize" : 0,
					"filters" : {
						"id" : "",
						"deep" : "3",
						"pid" : areaId,
						"isht" : ""
					}
				}
				dairy.getTokenItems(dataDist, url, function(success, message, data) {
					if (success) {
						var a = data.content.list;
						distData.clear();
						for (var i = 0; i < a.length; i++) {
							var b = a[i];
							distData.add({
								id : b.id,
								district : b.name,
							});
						}
					}
				});
			}
		});
	}

	Model.prototype.modelLoad = function(event) {
		var has_ios =$("html").hasClass("iosstatusbar");
		if(has_ios){
				$('.editOri_penal').addClass('ios_style')
		}
		
		$('.name-input').bind('input prototypechange',function(){
//			app.checkLength('.name-input', 6, '姓名');
			widthCheck(this,16);
		});
		$('.phone-num').bind('input prototypechange',function(){
			app.checkLength('.phone-num', 11, '手机号码');
		});
		
	};
	// 省变动联动市
	Model.prototype.provChange = function(event) {
		var pid = this.comp("province").val('id');
		var url = "system/Area/list";
		var that = this;
		var cityData = that.comp("city");
		var areaData = that.comp("district");
		var prov = $('.provSpan').attr('data-id');
		var city = $('.citySpan').attr('data-id');
		var area = $('.areaSpan').attr('data-id');

		var dataCity = {
			"pageNum" : 1,
			"pageSize" : 0,
			"filters" : {
				"id" : "",
				"deep" : "2",
				"pid" : pid,
				"isht" : ""
			}
		}
		dairy.getTokenItems(dataCity, url, function(success, message, data) {
			if (success) {
				var a = data.content.list;
				cityData.clear();
				areaData.clear();
				for (var i = 0; i < a.length; i++) {
					var b = a[i];
					cityData.add({
						id : b.id,
						city : b.name,
					});
				}
			}
		});
	};
	// 市变动
	Model.prototype.cityChange = function(event) {
		var pid = this.comp("city").val('id');
		var url = "system/Area/list";

		// 加载区
		var that = this;
		var distData = that.comp("district");

		var dataDist = {
			"pageNum" : 1,
			"pageSize" : 0,
			"filters" : {
				"id" : "",
				"deep" : "3",
				"pid" : pid,
				"isht" : ""
			}
		}
		dairy.getTokenItems(dataDist, url, function(success, message, data) {
			if (success) {
				var a = data.content.list;
				distData.clear();
				for (var i = 0; i < a.length; i++) {
					var b = a[i];
					distData.add({
						id : b.id,
						district : b.name,
					});
				}
			}
		});
	};
	
	function widthCheck (str,maxLen){
			var w = 0;
			var tempCount = 0;
			for(var i =0; i < str.value.length ; i++){
				var c = str.value.charCodeAt(i);
				if ((c >= 0x0001 && c <= 0x007e) || (0xff60<=c && c<=0xff9f)) {  
					w++;  
				}else {    
					w+=2;  
				}  
				if (w > maxLen) {  
					str.value =  str.value.substr(0,i); 
					pop.pop('名字最多只能输入八个汉字或十六个英文字母');
					break;
				}
			}
	}
	
	// 保存
	Model.prototype.saveBtn = function(event) {
		var addData = this.comp("addressData");
		var name = addData.val('name');
		var tel = addData.val('tel');
		var address = addData.val('address');
		var id = addData.val('id');
		var is_default = addData.val('is_default') == true ? 1 : 2;
		var prov = $('.provSpan').attr('data-id');
		var city = $('.citySpan').attr('data-id');
		var area = $('.areaSpan').attr('data-id')
		
		if (!name) {
			pop.pop('请输入姓名');
			return;
		}
		if(name.length < 2){
			pop.pop('名字长度过短,请重新输入');
			return false;
		}
		if(!app.checkName(name)){
			pop.pop('名字只能输入中文或英文,不能包含空格和特殊字符');
			return;
		}
		if (!tel) {
			pop.pop('请输入电话号码');
			return;
		}
		if (!app.checkMobile(tel)) {
			pop.pop('请输入正确的手机号码');
			return;
		}
		if (!area) {
			pop.pop('请选择地址');
			return;
		}
		if (!address) {
			pop.pop('请输入详细地址');
			return;
		}
			var dataJson = {
			"id":id,
			"name" : name,
			"mobl" : tel,
			"pvce" : prov,
			"city" : city,
			"coty" : area,
			"adrs" : address,
			"isrd" : is_default
		}
		dairy.getTokenItems(dataJson, 'system/Address/update', function(success, message, data) {
			if (success) {
				justep.Shell.closePage();
			} else {
				pop.pop('保存失败');
			}
		});
		
		// console.log(is_default);
//		var url = "system/Address/update";
//		// 加载区
//		var dataJson = {
//			"id" : id,
//			"name" : name,
//			"mobl" : tel,
//			"pvce" : prov,
//			"city" : city,
//			"coty" : area,
//			"adrs" : address,
//			"isrd" : is_default
//		}
//		dairy.getTokenItems(dataJson, url, function(success, message, data) {
//			if (success) {
//
//			}
//		});
//		justep.Shell.closePage();
	};

	Model.prototype.button3Click = function(event) {
		var dataJson = [];
		var getId = this.params.data;
		dataJson.push(getId);
		var url = 'system/Address/delete';
		dairy.getTokenItems(dataJson, url, function(success, message, data) {
			if (success) {
				pop.pop('删除成功');
			}
			justep.Shell.closePage();
		})
	};

// 手机号码输入框

	return Model;
});