define(function(require) {
	var $ = require("jquery");
	var justep = require("$UI/system/lib/justep");
	var getHospital = require("$UI/bestbaby-gravida/common/js/getItems");
	var Button = require("$UI/system/components/justep/button/button");
	var Content = require("$UI/system/components/justep/contents/content");
	var List = require("$UI/system/components/justep/list/list");
	var po = require("$UI/bestbaby-gravida/common/js/popUp");
	var app = require("$UI/bestbaby-gravida/common/js/app");
	var layer = require("$UI/bestbaby-gravida/common/js/mobile/layer");
	var userModel = require("$UI/bestbaby-gravida/common/js/modules/user");
	var Model = function() {
		this.callParent();
	};

	Model.prototype.searchBtn = function(event) {// 搜索
		var params = {
			id : this.params.id,
			name : this.params.name,
		}
		var url = '$UI/bestbaby-gravida/individual/hospital/search.w';
		justep.Shell.showPage(url, params);
	};

	Model.prototype.modelLoad = function(event) {
		// 修复 ios 顶部下沉问题
		var has_ios = $("html").hasClass("iosstatusbar");
		if (has_ios) {
			$('.hosDet_panel').addClass('ios_style')
		}

		var buttonGroup = this.getElementByXid("buttonGroup1");
		var Contents = this.comp("contents1");
		var that = this;

		// 获取县区
		var city = {
			"pageNum" : 1,
			"pageSize" : 0,
			"filters" : {
				"id" : "",
				"deep" : "",
				"pid" : this.params.id,
				"isht" : ""
			}
		}
		getHospital
				.getTokenItems(
						city,
						"system/Area/list",
						function(success, message, data) {
							if (success) {
								var cityData = data.content.list;
								var len = cityData.length;
								if (cityData) {
									for (var i = 0; i < len; i++) {
										if (buttonGroup) {
											var button = new Button({
												"xid" : "topButton" + i,
												"target" : "cityContent" + i,
												"label" : cityData[i].name,
												"class" : "btn btn-default",
												"parentNode" : buttonGroup
											});
										}
										if (Contents) {
											Contents.add({
												"xid" : "cityContent" + i,
											})
											$(that.getElementByXid("cityContent" + i)).attr("data-id", cityData[i].id);
										}
										var cfg = {
											"xid" : "hosList" + i,
											"autoLoad" : true,
											"data" : "hospital",
											"template" : '<ul class="x-list-template items-box" xid="listTemplateUl1">'
													+ ' <li xid="li1" dir="ltr"> '
													+ '<a component="$UI/system/components/justep/button/button"class="btn items" label="button" data-bind="component:{name:\'$model/UI2/system/components/justep/button/button\'}" data-events="onClick:openBtnClick">'
													+ '<span class = "hlid " style = "display:none;"  data-bind = "{text:ref(\'id\')}"></span>' + '<div class = "padding-l-30">'
													+ '<div class = "items-top ">' + '<div class = "top-l"><img data-bind="attr:{src:val(\'logo\')}" /></div>' + '<div class = "top-r">'
													+ '<h1 data-bind ="{text:ref(\'hlfn\')}" ></h1>' + '<h2 data-bind ="{text:ref(\'hlab\')}" ></h2>' + '</div>' + '</div>'
													+ '<div class = "items-bottom">' + '<i class = "icon-location-or"></i>' + '<p class = "hlad" data-bind = "{text:ref(\'hlad\')}" />' + '</div>'
													+ '</div>' + '</a>' + '</li>' + '</ul>',
											"parentNode" : that.getElementByXid('cityContent' + i)
										}
										new List(cfg);
									}
									Contents.on("onActiveChanged", function(event) {
										var hospital = that.comp('hospital');
										getHospitalData.call(that);
									});
									Contents.to(0);
								}
							}
						});// ----------------------------------------------获取县区结束
	};

	// 获取医院列表
	function getHospitalData() {
		var activeIndex = this.comp('contents1').getActiveIndex();
		var hospital = this.comp("hospital");
		var that = this;
		var getHospitalList = {
			pageNum : 1,
			pageSize : 0,
			filters : {
				id : "",
				hlfn : "",
				prve : "",
				city : "",
				coty : $(this.getElementByXid("cityContent" + activeIndex)).attr("data-id"),
			}
		}

		getHospital
				.getTokenItems(
						getHospitalList,
						'system/Hospital/list',
						function(success, message, data) {
							if (success) {
								var HosList = data.content.list;
								var len = HosList.length;
								if (len == 0) {
									$(that.getElementByXid("cityContent" + activeIndex))
											.append(
													'<div class="empty-box" xid="div1"><img src="./common/images/empty-hospital.png" alt="" xid="image1"/><div class="tips-text" xid="div3"><p xid="p1">该区暂无支持医院</p><p xid="p6">换个区试试~</p></div></div></div>');
								} else {
									$('.empty-box').remove();
									for (var i = 0; i < len; i++) {
										hospital.add({
											id : HosList[i].id,
											hlfn : HosList[i].hlfn,
											hlsn : HosList[i].hlsn,
											hlad : HosList[i].hlad,
											logo : HosList[i].logo,
											prev : HosList[i].prev,
											city : HosList[i].city,
											coty : HosList[i].coty,
											hlim : HosList[i].hlim,
											hlab : HosList[i].hlab,
										});
									}
								}
							} else {
								console.log(data)
							}
						})
	}

	// 点击绑定
	Model.prototype.openBtnClick = function(event) {
		var row = event.bindingContext.$object;
		var hlid = row.val('id');

		var hoId = {
			hlid : hlid,
		}
		layer.open({
			type : 2,
			shadeClose : false,
			content : '正在绑定，请稍后'
		});
		getHospital.getTokenItems(hoId, "system/Gravida/bindHospital", function(success, message, data) {// 绑定医院
			if (success) {
			    layer.closeAll();
				po.pop('绑定成功');
				userModel.storageUser(hoId);
				justep.Shell.closeAllOpendedPages();
			} else {
			   layer.closeAll();
				po.pop('已绑定该医院');
			}
		})

	}

	// 情况内容
	Model.prototype.contents1ActiveChange = function(event) {
		var hospital = this.comp('hospital');
		hospital.clear();
	};

	return Model;
})