define(function(require) {
	var $ = require('jquery');
	var justep = require("$UI/system/lib/justep");
	var po = require("$UI/bestbaby-gravida/common/js/popUp");
	require("cordova!cordova-plugin-device");
	var JPushInstance = function() {
		if (window.plugins && window.plugins.jPushPlugin) {
			document.addEventListener("deviceready", this.onDeviceReady.bind(this), false);
			document.addEventListener("jpush.openNotification", this.onOpenNotification.bind(this), false);
			document.addEventListener("jpush.receiveNotification", this.onReceiveNotification.bind(this), false);
			document.addEventListener("jpush.receiveMessage", this.onReceiveMessage.bind(this), false);
		}
	};

	// hcr 解决第一次获取失败的问题
	JPushInstance.prototype.getRegistrationID = function() {
		var dtd = $.Deferred();
		if (this.registrationID) {
			dtd.resolve(this.registrationID);
		} else {
			if (window.plugins && window.plugins.jPushPlugin) {
				window.plugins.jPushPlugin.getRegistrationID(function(registrationID) {
					self.registrationID = registrationID;
				
					if (self.registrationID) {
						dtd.resolve(self.registrationID);
					} else {
						dtd.reject();
					}
				});
			} else {
				dtd.reject();
			}
		}
		return dtd.promise();
	};

	JPushInstance.prototype.onDeviceReady = function() {
		var self = this;
		window.plugins.jPushPlugin.init();
		window.plugins.jPushPlugin.getRegistrationID(function(registrationID) {
			self.registrationID = registrationID;
			
		});
		if (device.platform == "Android") {
			window.plugins.jPushPlugin.setDebugMode(false);
			window.plugins.jPushPlugin.setApplicationIconBadgeNumber(0);
		} else {
			window.plugins.jPushPlugin.setDebugMode(false);
			window.plugins.jPushPlugin.setApplicationIconBadgeNumber(0);
		}
	};
	// 打开提示 ------------------点击横幅操作
	JPushInstance.prototype.onOpenNotification = function(event) {
		var alertContent;
		if (device.platform == "Android") {
			alertContent = window.plugins.jPushPlugin.openNotification.alert;
			var msg = window.plugins.jPushPlugin.receiveNotification.extras;
			console.log(msg);
			for (item in msg) {
				if (item == "cn.jpush.android.EXTRA") {
					if (!item) {
						pop.pop('推送数据异常');
						return false;
					} else {
						console.log('item.type', msg[item].type)
						if (msg[item].Type == '3') { // 3.文章推送
						// console.log('type 3')
							var params = {
								data : msg[item].klid
							}
							justep.Shell.showPage('$UI/bestbaby-gravida/knowledge/articleDetail.w', params);
						} else { // 诊断结果 + 分析结果
						// console.log('type other')
							var params = {
								data : msg[item].cdno,
								monitor : false
							}
							justep.Shell.showPage('$UI/bestbaby-gravida/file/monitorDetail.w', params);
						}
					}
				}
			}
		} else {
//			console.log(event)
			alertContent = event.aps.alert;
			if (event.Type == 3) {
				var params = {
					data : event.klid
				}
				justep.Shell.showPage('$UI/bestbaby-gravida/knowledge/articleDetail.w', params);

			} else {
				var params = {
					data : event.cdno,
					monitor : false
				}
				justep.Shell.showPage('$UI/bestbaby-gravida/file/monitorDetail.w', params);

			}
		}
		window.plugins.jPushPlugin.setApplicationIconBadgeNumber(0);
	};

	// 接收提示--------------
	JPushInstance.prototype.onReceiveNotification = function(event) {
		var alertContent;
		var notification = window.plugins.jPushPlugin.receiveNotification
		var msg=window.plugins.jPushPlugin.receiveNotification.extras;
		
		for(item in msg){
			if(item=="cn.jpush.android.EXTRA"){
				console.log('item type', msg[item].type * 1);
			}
		}
		if (device.platform == "Android") {
			alertContent = window.plugins.jPushPlugin.receiveNotification.alert;
		} else {
			alertContent = event.aps.alert;
		}
		window.plugins.jPushPlugin.setApplicationIconBadgeNumber(0);
		// po.pop(alertContent);
	};
	/**
	 * notification title :"韵宝宝给你发了一条信息" alert :"测试" extras : {
	 * cn.jpush.android.NOTI_PRIORITY : "1", cn.jpush.android.ALERT_TYPE: "-1",
	 * puid :"{ "type" :3, "klid" :"0a88c987676765778677" }",
	 * cn.jpush.android.EXTRA:{ puid : "{ "type":3, //1.分析结果 、2.诊断结果 、3.文章推送
	 * "klid":"09090098kahjdf23" }" } cn.jpush.android.ALERT:"测试",
	 * cn.jpush.android.NOTIFICATION_ID:521208699 }
	 * 
	 * 
	 * title :"韵宝宝发来信息" alert :"订单已分析" extras : { cn.jpush.android.NOTI_PRIORITY :
	 * "1", cn.jpush.android.ALERT_TYPE: "-1", cn.jpush.android.EXTRA:{
	 *  } cn.jpush.android.MSG_ID:"27021498129409409"
	 * cn.jpush.android.ALERT:"d=订单已分析",
	 * cn.jpush.android.NOTIFICATION_ID:521405305 }
	 */
	// 接受信息
	JPushInstance.prototype.onReceiveMessage = function() {
		var message;
		if (device.platform == "Android") {
			message = window.plugins.jPushPlugin.receiveMessage.message;
		} else {
			message = event.content;
		}
		window.plugins.jPushPlugin.setApplicationIconBadgeNumber(0);
		// po.pop(message);
	};

	return new JPushInstance();
});