define(function(require){
	var $ = require("jquery");
	var justep = require("$UI/system/lib/justep");
	var Button = require("$UI/system/components/justep/button/button");
	var ScrollView = require("$UI/system/components/justep/scrollView/scrollView")
	var getItem = require("$UI/bestbaby-gravida/common/js/getItems");
	var pop = require("$UI/bestbaby-gravida/common/js/popUp");
	require("css!$UI/bestbaby-gravida/common/css/layout").load();
	var List = require("$UI/system/components/justep/list/list");

	var Model = function(){
		this.callParent();
		this.pages = 0;
		this.pageNum = 2;
	};

	Model.prototype.contentActive = function(event){
	
	}

	Model.prototype.modelLoad = function(event){
		//下拉加载判断依据
		Pages = 0;
		pageNum = 2;  

		var that = this;
		var article = this.comp('article');
		var btnParentNode = that.getElementByXid('buttonGroup1')
		var contentParentNode = that.comp("typeArticleContents");
		
		//获取文章类型列表
		getItem.getTokenItems({},'wiki/Knowledge/listType',function(success,message,data){
			if(success){
				if(data.content){
					var articleType = data.content.list;
					for(var i = 0 ; i < articleType.length ; i++){
						//生成顶部 button
						if (btnParentNode) {
							var flag = {
									"xid" : "typeBtn" + i,
									"label" : articleType[i].name,
									"parentNode" : btnParentNode,
									"class" : "btn btn-default minWidth-25",
									"target": "typeContent"+i,
							};
							var button = new Button(flag);
						}

						//生成 content
						if(contentParentNode){
							var newContent = contentParentNode.add({
								"xid":"typeContent"+i,
							});	
							$(that.getElementByXid("typeContent"+i)).attr('data-id',articleType[i].id);
							justep.Bind.addNodes(newContent.domNode,createScrollView())
						}

						// list 组件构造函数
						var listCfg = {
								"xid" : "list"+i,
								"autoLoad":true,
								"data": "article",
								"template" : '<ul class="x-list-template article-list" xid="listTemplateUl1"> '
									+' <li xid="li1" dir="ltr"> '
									+' <div class="padding-lr-30 padding-tb-30"> '
									+' <a component="$UI/system/components/justep/button/button" class="btn clearfix" label="button" xid="button9" data-bind="component:{name:\'$model/UI2/system/components/justep/button/button\'}" data-events="onClick:openBtnClick" > '
									+'<div class="fl clearfix"> '
									+' <h1  data-bind="{text:ref(\'postTitle\')}"/>'
									+'<div class="article-box clearfix"> '
									+' <p class="article-text fl">发布于：</p>  '
									+'<p class="article-text fl" data-bind="{text:ref(\'postDate\')}" /> </div>  '
									+'<div class="clearfix flex-box"> '
									+' <i class="icon-reader "/>  '
									+' <span class="article-text " data-bind="{text:ref(\'reader\')}"/>  '
									+'<i class=" icon-comment "/>  '
									+' <span class="article-text" data-bind="{text:ref(\'comment\')}" /> '
									+'</div>'
									+'</div> '
									+'<div class="fr article-img"> '
									+' <img src=" " alt="" xid="image1" data-bind="attr:{src:val(\'postImg\')}" /> '
									+' </div>  '
									+' <span xid="span24"  data-bind="{text:ref(\'id\')}"  style="display:none;" class="idClassP"/>'
									+' </a> '
									+'</div> '
									+'</li> '
									+'</ul> ',
									"parentNode":that.getElementByXid('typeContent'+i).getElementsByClassName('x-scroll-content')[0]
						}
						new List(listCfg);
					}
					contentParentNode.to(0);
				}
			}else{
			}
		})

		//创建 scrollview
		function createScrollView(){
			var div = ' <div class="x-scroll mar-top-2" component="$UI/system/components/justep/scrollView/scrollView"  xid="scrollView1" data-bind="component:{name:\'$model/UI2/system/components/justep/scrollView/scrollView\'}"data-events="onPullDown:scrollViewPullDown;onPullUp:scrollViewPullUp"> '
				+' <div class="x-content-center x-pull-down container" xid="div1">'
				+' <i class="x-pull-down-img glyphicon x-icon-pull-down" xid="i5"/> '
				+' <span class="x-pull-down-label" xid="span5">下拉刷新...</span> </div>'
				+'<div class="x-scroll-content x-bg" xid="x-scroll-content">' 
				+'</div> '
				+' <div class="x-content-center x-pull-up" xid="div3"> '
				+'<span class="x-pull-up-label" xid="span6">加载更多...</span></div> </div>'
				return $(div);
		}

		//===============================contentsActiveChanged 事件
		contentParentNode.on('onActiveChanged',function(event){
			justep.Shell.listPageNum = 2;
			var activeIndex = contentParentNode.getActiveIndex();
			
			//获取文章列表
			var getArticleList = {
					"pageNum": 1, 
					"pageSize": 0, 
					"filters": {
						"type": $(that.getElementByXid("typeContent"+activeIndex)).attr('data-id'), 
						"titl": "", 
						"column": "pltm", 
						"order": "desc"
					}
			}
			getItem.getTokenItems(getArticleList,'wiki/Knowledge/list',function(success,message,data){
				if(success){
					article.clear();
					pages = data.content.pages;
					var list = data.content.list;
					var len = list.length;
					for(var i = 0;i<len;i++){
						article.add({
							id : list[i].id,
							postTitle : list[i].titl,
							postDate : list[i].crtm,
							reader : list[i].gdcu,
							comment : list[i].cmmt,
							postImg : list[i].logo,
						})
					}
				}else{
					console.log(data)
				}
			})
		})
		//===============================contentsActiveChanged 事件 end==================================
	};

	//点击进入文章详情
	this.openBtnClick = function(event){
		var url = '$UI/bestbaby-gravida/knowledge/articleDetail.w';
		var row = event.bindingContext.$object;
		var id = row.val('id');
		justep.Shell.showPage(url, {
			data : id
		});
	}

	/**
		获取文章列表
		pageNum ： 页
		order   ： 排序
		search	： 搜索内容
	 */
	function getArticleData(pageNum,order,search){
		var _pageNum = pageNum || 1;
		var _order   = order   || "pltm";
		var _search  = search  || '' ;
		var pageSize = 0;
		if(search){           //查找显示全部内容
			pageSize = 0
		}
        console.log(pageNum)
		var activeIndex = this.comp('typeArticleContents').getActiveIndex();
		var article = this.comp('article');
		var getArticleList = {
				"pageNum": _pageNum, 
				"pageSize": pageSize, 
				"filters": {
					"type": $(this.getElementByXid("typeContent"+activeIndex)).attr('data-id'), 
					"titl": _search, 
					"column": _order, 
					"order": "desc"
				}
		}
		getItem.getTokenItems(getArticleList,'wiki/Knowledge/list',function(success,message,data){
			if(success){
				var list = data.content.list;
				var len = list.length;
				for(var i = 0;i<len;i++){
					article.add({
						id : list[i].id,
						postTitle : list[i].titl,
						postDate : list[i].crtm,
						reader : list[i].gdcu,
						comment : list[i].cmmt,
						postImg : list[i].logo,
					});
				}
			}else{
				console.log(data);
			}
		});
	}


	//下拉刷新
	Model.prototype.scrollViewPullDown = function(event){	
		this.comp('article').clear();
		getArticleData.apply(this);
	};	

	//上拉加载
	Model.prototype.scrollViewPullUp = function(event){
		if(pages > 0){
			if(pageNum <= pages){
				getArticleData.call(this,pageNum)
				pageNum++;	
			}
		}
//		if(pages == 0){
//			if(pageNum <= 2){
//				getArticleData.call(this,pageNum)
//				pageNum++;
//			}
//		}
//		if(pages > 0){
//			if(pageNum <= pages){
//				getArticleData.call(this,pageNum)
//				pageNum ++;
//			}
//		}
	}

	//点击分类排序
	Model.prototype.ul1Click = function(event){
		pageNum = 1;					//重置次数
		var article = this.comp('article');
		var select = $(event.currentTarget);

		$('.orderBtn').removeClass('onactive');
		select.addClass('onactive')                 

		$('.task_div').remove();           			   //删除遮罩
		$('.pop-menu-div').hide()
         
		var label = select.find('span').text();
		var order = this.getOrder(label);

		$('.searchContent').val('');
		$('.searchContent').addClass('icon-focus');

		article.clear();
		getArticleData.call(this,1,order);
	};

	//弹出分类排序列表
	Model.prototype.button1Click = function(event){
		var taskDiv = document.createElement('div');   // 遮罩
		var divTop = this.getElementByXid('div7');
		$(taskDiv).addClass('task_div');
		
		taskDiv.style.position = 'fixed';
		taskDiv.style.top = '0';
		taskDiv.style.bottom= '0';
		taskDiv.style.left = '0';
		taskDiv.style.right = '0';
		
		taskDiv.addEventListener('click',function(){
			$('.task_div').remove();
			$('.pop-menu-div').hide()
		},false)
		 
		$(divTop).append(taskDiv);
		$('.pop-menu-div').show()
	};

	// contents Active 改变中
	Model.prototype.typeArticleContentsActiveChange = function(event){
		pages = 0;
		pageNum = 2;  
		
		var article = this.comp('article');
		article.clear();
		$('.pop-menu-div').hide()
		$('.task_div').remove();           			   //删除遮罩
		$('.orderBtn').removeClass('onactive');

		$('.searchContent').val('');
		$('.searchContent').addClass('icon-focus');
	};

	//搜索框聚焦
	Model.prototype.input1Focus = function(event){
		$('.searchContent').removeClass('icon-focus');
		$('.search-span').show();
	};

	//搜索框失去焦点
	Model.prototype.input1Blur = function(event){
		if($('.searchContent').val().length <=0 ){
			$('.searchContent').addClass('icon-focus');
			var article = this.comp('article');
			article.clear();
			getArticleData.call(this);
		}
		$('.search-span').hide();
	};

	//转换成 排序依据
	Model.prototype.getOrder = function(label){
		var order = "";
		if (label == "按评论数") {
			order = "cmmt";
		} else if (label == "按浏览量") {
			order = "gdcu";
		} else if (label == "按分享量") {
			order = "secu";
		}else{
			order = "pltm"
		}
		return order
	}
	
	//去除所有空格
	function removeAllSpace(str) {
		return str.replace(/\s+/g, "");
	}
		
	// 搜索按钮点击
	Model.prototype.span28Click = function(event){
	
		var article = this.comp('article');
		article.clear();
		
		var searchText = removeAllSpace($('.searchContent').val());
		var activeLaber = $('.onactive').find('span').text();
		var order = this.getOrder(activeLaber);
		if(searchText.length>0){
			getArticleData.call(this,1,order,searchText);
		}
	};

	//刷新数据
	Model.prototype.modelActive = function(event){
		var article = this.comp('article');
		article.clear();
		getArticleData.call(this);
	};

	//确定键
	Model.prototype.input1Keydown = function(event){
		console.log(event.keyCode);
		if(event.keyCode === 13){
			this.span28Click(event);
			$('.search-bar').blur();
//			this.input1Blur(event);
		}
	};

	return Model;
});