define(function(require) {
  var $ = require("jquery");
  var justep = require("$UI/system/lib/justep");
  var store = require("$UI/bestbaby-gravida/common/js/store/dist/store.modern.min");
  var po = require("$UI/bestbaby-gravida/common/js/popUp");

  var Model = function() {
    this.callParent();
  };

  function drag(target, musicBar, icon, event) {
    // target.on('touchstart', function(event) {
    var mouseX = null;
    var parent = $('.controls-wrap').innerWidth();

    var x = event.originalEvent.targetTouches[0].pageX - target.position().left;
    $(document).on('touchmove', function(event) {
      mouseX = event.originalEvent.targetTouches[0].pageX - x;
      var w = parseInt(target.css('width'));
      if (mouseX < w) {
        mouseX = w;
        icon.removeClass('icon-hasVoice');
        icon.addClass('icon-slient');

      } else {
        icon.removeClass('icon-slient');
        icon.addClass('icon-hasVoice');
      }
      if (mouseX >= parent) {
        mouseX = parent;

      }

      target.css({
        'left': mouseX + 'px',

      });
      musicBar.css('width', mouseX + 'px');
      musicBar.css('transition', 'none');
    });
    $(document).on('touchend', function() {
      $(document).unbind('touchmove');
      $(document).unbind('touchend');
      var voiceString = Math.floor(($('.progess-bar-cover').css('width').split("px")[0] / $('.progess-bar-bg').css('width').split("px")[0]) * 2); // 胎心音量
      console.log(voiceString)
      B3Manager.setAlertVol(M.B3setAlertSuccess, M.B3setAlertError, voiceString)
    });

    // });

  }
  Model.prototype.B3setAlertSuccess = function(event) {
    po.pop("设置成功")

  };
  Model.prototype.B3setAlertError = function(event) {
    po.pop("设置失败")

  };
  Model.prototype.div1Touchstart = function(event) {
    var M = Model.prototype;
    var musicBar = $('.controls-wrap .progess-bar-cover');
    var icon = $('.icon-voice');
    drag($('.progess-point'), musicBar, icon, event, M);
  };

  Model.prototype.div2Touchstart = function(event) {
    var musicBar = $('.progess-bar-cover'); // 拖动
    var drag = $('.progess-point');
    var icon = $('.icon-voice');
    var w = parseInt($('.progess-point').css('width'));
    var x = event.originalEvent.targetTouches[0].pageX - $(this.getElementByXid('controls2')).offset().left;

    drag.css({
      'left': x + 'px',

    });
    musicBar.css('width', x + 'px');

    if (x < w) {
      x = w;
      icon.removeClass('icon-hasVoice');
      icon.addClass('icon-slient');

    } else {
      icon.removeClass('icon-slient');
      icon.addClass('icon-hasVoice');
    }
  };

  Model.prototype.modelLoad = function(event) {
    var has_ios = $("html").hasClass("iosstatusbar");
    if (has_ios) {
      if (!$('.B3Setting_panel').hasClass('ios_style')) {
        $('.B3Setting_panel').addClass('ios_style')
      }
    }
    var b3Set = JSON.parse(store.get('b3Set'));
    // console.log(b3Set)
    var setData = this.comp("setData");
    setData.clear();
    // console.log(b3Set.alarmIf==1?true:false)
    setData.add({
      alarm: b3Set.alarmIf == 1 ? true : false,
      alarmVol: b3Set.alarmVolume,
      heartVol: b3Set.heartVolume
    });
  };

  Model.prototype.toggle1Change = function(event) {
    /**
     * 方法名：setAlert(function, function, string) 参数1：(function)
     * 成功时回调方法（返回205） 参数2：(function) 失败时回调方法（返回103） 参数3：(string) 报警是否开启（0
     * 关闭，1 开启） 返回值：(string) 状态码 说明：设置报警开关
     */
    var alarm = this.comp('toggle1').val() == true ? 1 : 0;
    // console.log(this.comp('toggle1').val());
    // console.log(event)
    store.set('alarm', alarm);

    var M = Model.prototype;
    B3Manager.setAlert(M.B3Success, M.SettingAlarmError, alarm);
  };
  // 设置报警失败
  Model.prototype.SettingAlarmError = function(ev) {
    store.remove('alarm');
    Model.prototype.B3error(ev)
  }
  Model.prototype.B3Success = function(ev) {
    if (ev == 200) {
      po.pop('连接设备成功');
    } else if (ev == 201) {
      po.pop('断开连接成功');
    } else if (ev == 202) {
      po.pop('停止胎监成功');
    } else if (ev == 203) {
      po.pop('宫压调零成功');
    } else if (ev == 204) {
      po.pop('音量设置成功');
    } else if (ev == 205) {
      var b3Set = JSON.parse(store.get('b3Set'));
      var alarm = store.get('alarm');
      if (alarm == 1) {
        po.pop('开启报警成功');
      } else if (alarm == 0) {
        po.pop('关闭报警成功');
      }
      b3Set.alarmIf = alarm;
      store.remove('alarm');
      store.set('b3Set', JSON.stringify(b3Set));

    } else if (ev == 206) {
      po.pop('设置报警音量成功');
    } else if (ev == 210) {
      po.pop('蓝牙重连成功');
    }
  }

  // B3连接失败调用方法
  /*
   * 失败状态码："100" - 与设备的连接已断开 "101" - MAC 地址格式错误 "102" - UUID 格式错误 "103" -
   * 蓝牙连接错误 "104" - 本地蓝牙不可用 "105" - 蓝牙未打开 "106" - 设备搜索超时 "107" -
   * 设备蓝牙芯片频率和手机蓝牙频率的问题，APP 端无法解决，建议重新连接 "111" - 蓝牙重连超时 "112" - 胎监时间太短 "111" -
   * 蓝牙重连超时 "112" - 胎监时间太短 "113" - 定位授权失败 "114" - 读写文件授权失败--要提示用户到应用权限管理里面手动打开
   */
  Model.prototype.B3error = function(ev) {
    // alert(ev)
    if (ev == 101) {
      po.pop("MAC 地址格式错误");
    } else if (ev == 102) {
      po.pop('UUID 格式错误');
    } else if (ev == 103) {

      po.pop('蓝牙连接错误');
    } else if (ev == 104) {
      po.pop('本地蓝牙不可用');
    } else if (ev == 105) {
      po.pop('蓝牙未打开');
    } else if (ev == 106) {
      po.pop('设备搜索超时');
    } else if (ev == 107) {
      po.pop('设备蓝牙芯片频率和手机蓝牙频率的问题，APP 端无法解决，建议重新连接');
    } else if (ev == 100) {
      po.pop('与设备的连接已断开');
      B3Manager.reconnect(Model.prototype.B3Success, Model.prototype.B3error);
    } else if (ev == 111) {
      po.pop('蓝牙重连超时');
    } else if (ev == 112) {
      po.pop('胎监时间太短');
    } else if (ev == 113) {
      po.pop('定位授权失败');
    } else if (ev == 114) {
      po.pop('读取文件授权失败，请到应用权限管理里面手动打开');
    }
  }
  Model.prototype.modelActive = function(event) {
    Model.prototype.modelLoad(event);
  };
  return Model;
});
